### Method

# Cogl FrameInfo get_target_presentation_time_us

#### Declaration [src]

    int64_t
    cogl_frame_info_get_target_presentation_time_us (
      CoglFrameInfo* info
    )

#### Description [src]

Gets the target presentation time for the frame. This is the time at which the frame was expected to became visible to the user.

The target presentation time measured in microseconds, is based on CLOCK_MONOTONIC.

#### Return value

Type: `int64_t`

The presentation time for the frame if available, or 0.